## r-cran-r.rsp 0.44.0%2Bds

=== debian/tests/control ===
Tests: run-unit-test
Depends: r-cran-markdown, r-cran-r.devices, @
Restrictions: allow-stderr

## r-cran-r.rsp 0.44.0+ds

=== DESCRIPTION ===
Package: R.rsp
Version: 0.44.0
Depends: R (>= 2.14.0)
Imports: methods, stats, tools, utils, R.methodsS3 (>= 1.7.1), R.oo (>=
        1.23.0), R.utils, R.cache, digest (>= 0.6.13)
Suggests: tcltk, markdown (>= 0.8), knitr (>= 1.9), R.devices (>=
        2.16.1), base64enc (>= 0.1-2)
SuggestsNote: Recommended: R.devices, base64enc, markdown
VignetteBuilder: R.rsp
Title: Dynamic Generation of Scientific Reports
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Description: The RSP markup language makes any text-based document come alive.  RSP provides a powerful markup for controlling the content and output of LaTeX, HTML, Markdown, AsciiDoc, Sweave and knitr documents (and more), e.g. 'Today's date is <%=Sys.Date()%>'.  Contrary to many other literate programming languages, with RSP it is straightforward to loop over mixtures of code and text sections, e.g. in month-by-month summaries.  RSP has also several preprocessing directives for incorporating static and dynamic contents of external files (local or online) among other things.  Functions rstring() and rcat() make it easy to process RSP strings, rsource() sources an RSP file as it was an R script, while rfile() compiles it (even online) into its final output format, e.g. rfile('report.tex.rsp') generates 'report.pdf' and rfile('report.md.rsp') generates 'report.html'.  RSP is ideal for self-contained scientific reports and R package vignettes.  It's easy to use - if you know how to write an R script, you'll be up and running within minutes.
License: LGPL (>= 2.1)
URL: https://github.com/HenrikBengtsson/R.rsp
BugReports: https://github.com/HenrikBengtsson/R.rsp/issues
LazyLoad: TRUE
NeedsCompilation: no
Packaged: 2020-07-09 15:45:49 UTC; hb
Repository: CRAN
Date/Publication: 2020-07-09 16:20:02 UTC

=== debian/changelog ===
r-cran-r.rsp (0.44.0+ds-2) unstable; urgency=medium

  * Source-only upload for transition to testing.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 11 Dec 2021 20:17:40 -0500

r-cran-r.rsp (0.44.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1001023).

 -- Doug Torrance <dtorrance@debian.org>  Fri, 03 Dec 2021 22:55:08 -0500

=== debian/control ===
Source: r-cran-r.rsp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Doug Torrance <dtorrance@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: cm-super,
               debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-digest (>= 0.6.13),
               r-cran-markdown,
               r-cran-r.cache,
               r-cran-r.devices,
               r-cran-r.methodss3 (>= 1.7.1),
               r-cran-r.oo (>= 1.23.0),
               r-cran-r.utils,
               texinfo,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.rsp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.rsp.git
Homepage: https://cran.r-project.org/package=R.rsp
Rules-Requires-Root: no

Package: r-cran-r.rsp
Architecture: all
Depends: tcl, ${R:Depends}, ${misc:Depends}
Recommends: libjs-marked, ${R:Recommends}
Suggests: ${R:Suggests}
Description: Dynamic Generation of Scientific Reports
 The RSP markup language makes any text-based document come alive. RSP
 provides a powerful markup for controlling the content and output of
 LaTeX, HTML, Markdown, AsciiDoc, Sweave and knitr documents (and
 more), e.g. 'Today's date is <%=Sys.Date()%>'. Contrary to many other
 literate programming languages, with RSP it is straightforward to loop
 over mixtures of code and text sections, e.g. in month-by-month
 summaries. RSP has also several preprocessing directives for
 incorporating static and dynamic contents of external files (local or
 online) among other things. Functions rstring() and rcat() make it
 easy to process RSP strings, rsource() sources an RSP file as it was
 an R script, while rfile() compiles it (even online) into its final
 output format, e.g. rfile('report.tex.rsp') generates 'report.pdf' and
 rfile('report.md.rsp') generates 'report.html'. RSP is ideal for self-
 contained scientific reports and R package vignettes. It's easy to use
  - if you know how to write an R script, you'll be up and running
 within minutes.

## r-cran-r.rsp 0.45.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Package: R.rsp
-Version: 0.44.0
+Version: 0.45.0
 Depends: R (>= 2.14.0)
-Imports: methods, stats, tools, utils, R.methodsS3 (>= 1.7.1), R.oo (>=
-        1.23.0), R.utils, R.cache, digest (>= 0.6.13)
-Suggests: tcltk, markdown (>= 0.8), knitr (>= 1.9), R.devices (>=
-        2.16.1), base64enc (>= 0.1-2)
+Imports: methods, stats, tools, utils, R.methodsS3 (>= 1.8.0), R.oo (>=
+        1.23.0), R.utils, R.cache, digest
+Suggests: tcltk, markdown, knitr, R.devices, base64enc, ascii
 SuggestsNote: Recommended: R.devices, base64enc, markdown
 VignetteBuilder: R.rsp
 Title: Dynamic Generation of Scientific Reports
@@ -18,6 +17,6 @@
 BugReports: https://github.com/HenrikBengtsson/R.rsp/issues
 LazyLoad: TRUE
 NeedsCompilation: no
-Packaged: 2020-07-09 15:45:49 UTC; hb
+Packaged: 2022-06-27 17:46:28 UTC; hb
 Repository: CRAN
-Date/Publication: 2020-07-09 16:20:02 UTC
+Date/Publication: 2022-06-27 18:30:09 UTC

=== debian/changelog ===
r-cran-r.rsp (0.45.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jun 2022 08:28:46 +0200

r-cran-r.rsp (0.44.0+ds-3) unstable; urgency=medium

  * debian/control
    - Swap libjs-marked for libjs-remark-slide in Recommends.
  * debian/gbp.conf
    - Remove debian-branch setting; now "master", which is the default.
  * debian/patches/no-remark.patch
    - Remove patch; remark is now in Debian.
  * debian/patches/no-sys-time.patch
    - New patch; remove Sys.time() output from vignettes for
      reproducibility.
  * debian/patches/remark.patch
    - New patch; use local copy of remark for vignette.
    - Also remove unused/unclosed <div> tag in vignette that was preventing
      the markdown from being rendered correctly.
  * debian/patches/source-date-epoch.patch
    - New patch; use SOURCE_DATE_EPOCH for date example in vignette for
      reproducibility.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 08 Mar 2022 16:31:56 -0500

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: cm-super,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-digest (>= 0.6.13),
+               cm-super,
+               r-cran-digest,
                r-cran-markdown,
                r-cran-r.cache,
                r-cran-r.devices,
-               r-cran-r.methodss3 (>= 1.7.1),
+               r-cran-r.methodss3,
                r-cran-r.oo (>= 1.23.0),
                r-cran-r.utils,
                texinfo,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.rsp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.rsp.git
 Homepage: https://cran.r-project.org/package=R.rsp
@@ -27,8 +27,11 @@
 
 Package: r-cran-r.rsp
 Architecture: all
-Depends: tcl, ${R:Depends}, ${misc:Depends}
-Recommends: libjs-marked, ${R:Recommends}
+Depends: ${R:Depends},
+         ${misc:Depends},
+         tcl
+Recommends: ${R:Recommends},
+            libjs-remark-slide
 Suggests: ${R:Suggests}
 Description: Dynamic Generation of Scientific Reports
  The RSP markup language makes any text-based document come alive. RSP

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with vignette --buildsystem R

# need a home directory for R.cache
export HOME = debian/fakehome
$(HOME):
	mkdir $@

# re-generate the static pdf needed for building the vignettes, which we
# removed from the orig tarball
STATIC_PDF = vignettes/R_packages-Static_PDF_and_HTML_vignettes.pdf
STATIC_PDF_SRC = $(patsubst vignettes/%.pdf,inst/rsp_examples/%.tex.rsp, \
	$(STATIC_PDF))
export R_LIBS = debian/r-cran-r.rsp/usr/lib/R/site-library

$(STATIC_PDF): $(STATIC_PDF_SRC) $(HOME)
	rm -rf inst/doc
	dh_auto_install
	R -e 'R.rsp::rfile("$<", output="$@")'

execute_before_dh_vignette: $(STATIC_PDF)

# remove windows scripts
execute_after_dh_auto_install:
	rm debian/r-cran-r.rsp/usr/lib/R/site-library/R.rsp/exec/*.bat

## r-cran-r.rsp 0.46.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: R.rsp
-Version: 0.45.0
+Version: 0.46.0
 Depends: R (>= 2.14.0)
 Imports: methods, stats, tools, utils, R.methodsS3 (>= 1.8.0), R.oo (>=
         1.23.0), R.utils, R.cache, digest
@@ -13,10 +13,11 @@
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Description: The RSP markup language makes any text-based document come alive.  RSP provides a powerful markup for controlling the content and output of LaTeX, HTML, Markdown, AsciiDoc, Sweave and knitr documents (and more), e.g. 'Today's date is <%=Sys.Date()%>'.  Contrary to many other literate programming languages, with RSP it is straightforward to loop over mixtures of code and text sections, e.g. in month-by-month summaries.  RSP has also several preprocessing directives for incorporating static and dynamic contents of external files (local or online) among other things.  Functions rstring() and rcat() make it easy to process RSP strings, rsource() sources an RSP file as it was an R script, while rfile() compiles it (even online) into its final output format, e.g. rfile('report.tex.rsp') generates 'report.pdf' and rfile('report.md.rsp') generates 'report.html'.  RSP is ideal for self-contained scientific reports and R package vignettes.  It's easy to use - if you know how to write an R script, you'll be up and running within minutes.
 License: LGPL (>= 2.1)
-URL: https://github.com/HenrikBengtsson/R.rsp
+URL: https://henrikbengtsson.github.io/R.rsp/,
+        https://github.com/HenrikBengtsson/R.rsp
 BugReports: https://github.com/HenrikBengtsson/R.rsp/issues
 LazyLoad: TRUE
 NeedsCompilation: no
-Packaged: 2022-06-27 17:46:28 UTC; hb
+Packaged: 2024-02-17 16:07:15 UTC; henrik
 Repository: CRAN
-Date/Publication: 2022-06-27 18:30:09 UTC
+Date/Publication: 2024-02-17 18:30:02 UTC

=== debian/changelog ===
r-cran-r.rsp (0.46.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.6.2.
  * debian/copyright
    - Update my copyright years.
  * debian/lintian-overrides
    - Add brackets around filename in override to match new lintian output.
  * debian/patches/national-encoding.patch
    - Remove patch; applied upstream.
  * debian/patches/remark.patch
    - Remove unclosed <div> tag; this portion of the patch was applied
      upstream.
    - Fix spelling of "Description".
  * debian/patches/reproducible-pdf.patch
    - Remove patch; applied upstream.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 19 Feb 2024 23:00:46 -0500

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.rsp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.rsp.git
 Homepage: https://cran.r-project.org/package=R.rsp

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+ds \
https://cloud.r-project.org/src/contrib/R.rsp_([-\d.]*)\.tar\.gz
